gvfs-fuse-1.34.2.1-lp150.3.3.1.x86_64.rpm


Advertisement

Description

gvfs-fuse - VFS functionality for GLib

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Update Oss all
Package filename gvfs-fuse-1.34.2.1-lp150.3.3.1.x86_64.rpm
Package name gvfs-fuse
Package version 1.34.2.1
Package release lp150.3.3.1
Package architecture x86_64
Package type rpm
Category System/Filesystems
Homepage http://www.gnome.org
License LGPL-2.0-or-later
Maintainer -
Download size 89.77 KB
Installed size 44.99 KB
gvfs GNOME's userspace virtual filesystem designed to work with the
I/O abstraction of GIO, a library available with GLib. gvfs installs
several modules that are automatically used by applications using the
APIs of libgio.
This package contains FUSE support that allows applications
not using GIO to access the GVfs filesystems.

Alternatives

Package Version Architecture Repository
gvfs-fuse-1.34.2.1-lp150.3.6.1.x86_64.rpm 1.34.2.1 x86_64 openSUSE Update Oss
gvfs-fuse-1.34.2.1-lp150.2.5.x86_64.rpm 1.34.2.1 x86_64 openSUSE Oss
gvfs-fuse - - -

Requires

Name Value
fuse -
gvfs = 1.34.2.1
libc.so.6(GLIBC_2.4)(64bit) -
libfuse.so.2()(64bit) -
libfuse.so.2(FUSE_2.2)(64bit) -
libfuse.so.2(FUSE_2.4)(64bit) -
libfuse.so.2(FUSE_2.5)(64bit) -
libfuse.so.2(FUSE_2.6)(64bit) -
libfuse.so.2(FUSE_2.8)(64bit) -
libgio-2.0.so.0()(64bit) -
libglib-2.0.so.0()(64bit) -
libgobject-2.0.so.0()(64bit) -
libgvfscommon.so()(64bit) -
libpthread.so.0()(64bit) -
libpthread.so.0(GLIBC_2.2.5)(64bit) -

Provides

Name Value
gvfs-fuse = 1.34.2.1-lp150.3.3.1
gvfs-fuse(x86-64) = 1.34.2.1-lp150.3.3.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package gvfs-fuse-1.34.2.1-lp150.3.3.1.x86_64.rpm
Source Package gvfs-1.34.2.1-lp150.3.3.1.src.rpm

Install Howto

Install gvfs-fuse rpm package:

# zypper install gvfs-fuse

Files

Path
/usr/lib/gvfs/gvfsd-fuse
/usr/lib/tmpfiles.d/gvfsd-fuse-tmpfiles.conf
/usr/share/man/man1/gvfsd-fuse.1.gz

Changelog

2018-06-08 - fezhang@suse.com
- Add gvfs-smb-Use-O_RDWR-to-fix-fstat-when-writing.patch: Fix
failures copying files on smb mounts (bgo#795805 boo#1096476).
2018-03-20 - dimstar@opensuse.org
- Unconditionally enable translation-update-upstream: on
Tumbleweed, this results in a NOP and for Leap in SLE paid
translations being used (boo#1086036).
2018-03-06 - bjorn.lie@gmail.com
- Update to version 1.34.2.1:
+ mtp: Prevent crashes if device is unplugged during mount
operation.
2018-02-06 - bjorn.lie@gmail.com
- Update to version 1.34.2:
+ Recent: Prevent crash when recent file changed.
+ Trash: Fix trash::orig-path for relative paths.
+ Mtp:
- Handle read-past-EOF ourselves to prevent hangs.
- Fix volume removal with current udev behavior.
+ Gphoto2: Fix volume removal with current udev behavior.
+ Updated translations.
- Drop gvfs-fix-mtp-volume-removal.patch and
gvfs-mtp-handle-read-past-eof.patch: Fixed upstream.
2018-01-17 - qzheng@suse.com
- Enable libnfs support also on SLE: BuildRequire pkgconfig(libnfs)
unconditionally (bsc#1074978).
2017-12-02 - dimstar@opensuse.org
- Re-enable caps(cap_net_bind_service=+ep) for gvfsd-nfs: the
permissions package was updated to reflect this change.
- Add appropriate post/verifyscripts to set the capabilities as
defined in the permissions package.
2017-11-22 - dimstar@opensuse.org
- Disable caps(cap_net_bind_service=+ep) from gvfsd-nfs: this is
not acceptable from a security PoV, see boo#1065864#c6).
2017-11-20 - mgorse@suse.com
- Add gvfs-mtp-handle-read-past-eof.patch: fix hang when
transferring on some Android devices (boo#1069030 bgo#784477).
2017-11-15 - zaitor@opensuse.org
- Add gvfs-fix-mtp-volume-removal.patch: Fix various mtp issues
with volume management (bgo#789491).
2017-10-31 - tbechtold@suse.com
- Set caps(cap_net_bind_service=+ep) for gvfds-nfs: Many NFS
servers default to a mode where they do not allow non-system
ports from connecting. These servers require to use the
"insecure" export option in /etc/exports in order to allow libnfs
clients to be able to connect. Allow the usage of privileged
ports for the gvfsd-nfs executable to not require the "insecure"
option on the server (bsc#1065864).

See Also

Package Description
gvfs-lang-1.34.2.1-lp150.3.3.1.noarch.rpm Translations for package gvfs
gvfs-lang-1.34.2.1-lp150.3.6.1.noarch.rpm Translations for package gvfs
haproxy-1.8.14~git0.52e4d43b-lp150.2.3.1.x86_64.rpm The Reliable, High Performance TCP/HTTP Load Balancer
haproxy-1.8.15~git0.6b6a350a-lp150.2.6.1.x86_64.rpm The Reliable, High Performance TCP/HTTP Load Balancer
haproxy-1.8.17~git0.e89d25b2-lp150.2.9.1.x86_64.rpm The Reliable, High Performance TCP/HTTP Load Balancer
hawk2-2.1.0+git.1526638315.05cdaf9d-lp150.2.3.1.x86_64.rpm HA Web Konsole
hdjmod-kmp-default-1.28_k4.12.14_lp150.12.13-lp150.3.2.1.x86_64.rpm Support for Hercules DJ Devices
hg-git-0.8.11-lp150.2.3.1.noarch.rpm Mercurial Plugin for Communicating with Git Servers
hiawatha-10.8.4-lp150.2.4.1.x86_64.rpm A secure and advanced webserver
hiawatha-letsencrypt-10.8.4-lp150.2.4.1.x86_64.rpm Let's Encrypt script for the Hiawatha webserver
hmaccalc-0.9.14-lp150.2.3.1.x86_64.rpm Tools for computing and checking HMAC values for files
hostapd-2.6-lp150.2.3.2.x86_64.rpm Turns Your WLAN Card into a WPA capable Access Point
hplip-3.18.6-lp150.4.3.1.x86_64.rpm HP's Printing, Scanning, and Faxing Software
hplip-devel-3.18.6-lp150.4.3.1.x86_64.rpm Development files for hplip
hplip-hpijs-3.18.6-lp150.4.3.1.x86_64.rpm Only plain printing with HPLIP printer drivers
Advertisement
Advertisement